Subject: Sublogins with anon ftpd service, setup ?

From: [email-masked]
Date: Sat, 16 Dec 1995 03:14:28 -0500

This is a little off the beaten path so bear with me for a bit.  I am
using the old ftpd provided with sun os 4.1.3_u1.  I'd like to get it
setup properly before I undertake loading wu-ftpd as I am learning.

I am trying to setup sublogins to allow anonymous logins to change users
and goto their work areas (as described in Chaper 4; Setting up
an FTP archive, pgs 62-63, "Managing Internet Information Services, O'Reilly
& Assoc").

The anonymous login process works as designed, however when issuing the
"USER <userid>" command I get the error:

331 Guest login ok, send ident as password.
Password:
230 Guest login ok, access restrictions apply.
ftp> user
(username)  aaa9ht
530 Can't change user from guest login.
Login failed.
ftp>

My passwd contains:

ftp:*:500:3:Anonymous FTP user::/bin/false
bin:*:2:2::/:/bin/false
root:*:0:3::/:/bin/false
aaa9ht:*:501:4:amti user group::/bin/false
+::0:0:::

Group:

users:*:1:
bin:*:2:
other:*:3:
amti:*:4:

Both passwd and group are read only all, uid root, gid other

The etc directory is xecute only uid root, gid other.

I have also tried changing the group to other on the passwd file for the
aaa9ht group with the same error indicated.

For some reason I get the feeling that my ftp/etc/passwd and group files
are not being referred to upon login.

Help,

John Monson,
[email-masked]